/*
---------------------------------------------------------------------
BACKUP KEYS and CERTIFICATES
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/

/* Listing 4-8: Backing up the service master key, database master key and certificate. */
Use master;
GO

-- backup service master key
BACKUP SERVICE MASTER KEY TO FILE = 'D:\InstanceA\Backup\SMK.bak' 
    ENCRYPTION BY PASSWORD = 'MyB@ckUpP@ssw0rd';
GO
    
Use HomeLending;
GO    
    
-- backup database master key    
BACKUP MASTER KEY TO FILE = 'D:\HomeLending\Backup\DMK.bak' 
    ENCRYPTION BY PASSWORD = 'MyB@ckUpP@ssw0rd';    
GO

-- backup certificate
BACKUP CERTIFICATE MySelfSignedCert
   TO FILE = 'D:\HomeLending\Backup\MySelfSignedCert.bak'
   WITH PRIVATE KEY (
               DECRYPTION BY PASSWORD = 'MyStr0ngP@ssw0rd2009',
   FILE = 'D:\HomeLending\Backup\MySelfSignedCert.pvk',
               ENCRYPTION BY PASSWORD = 'MyB@ckUpP@ssw0rd');    
GO
