/*
---------------------------------------------------------------------
CREATES THE RELATIONSHIPS FOR THE HOMELENDING DATABASE TABLES
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/
USE [HomeLending]
GO
/****** Object:  ForeignKey [FK_Asset_Account_Borrower_Asset]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Asset_Account]  WITH CHECK ADD  CONSTRAINT [FK_Asset_Account_Borrower_Asset] FOREIGN KEY([Asset_ID])
REFERENCES [dbo].[Borrower_Asset] ([Asset_ID])
GO
ALTER TABLE [dbo].[Asset_Account] CHECK CONSTRAINT [FK_Asset_Account_Borrower_Asset]
GO
/****** Object:  ForeignKey [FK_Borrower_Address_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Address]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Address_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Address] CHECK CONSTRAINT [FK_Borrower_Address_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Asset_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Asset]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Asset_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Asset] CHECK CONSTRAINT [FK_Borrower_Asset_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Declaration_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Declaration]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Declaration_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Declaration] CHECK CONSTRAINT [FK_Borrower_Declaration_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Dependent_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Dependent]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Dependent_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Dependent] CHECK CONSTRAINT [FK_Borrower_Dependent_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Employer_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Employer]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Employer_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Employer] CHECK CONSTRAINT [FK_Borrower_Employer_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Expense_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Expense]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Expense_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Expense] CHECK CONSTRAINT [FK_Borrower_Expense_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Gvt_Monitor_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Gvt_Monitor]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Gvt_Monitor_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Gvt_Monitor] CHECK CONSTRAINT [FK_Borrower_Gvt_Monitor_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Identification_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Identification]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Identification_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Identification] CHECK CONSTRAINT [FK_Borrower_Identification_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Liability_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Liability]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Liability_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Liability] CHECK CONSTRAINT [FK_Borrower_Liability_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_Name_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_Name]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Name_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_Name] CHECK CONSTRAINT [FK_Borrower_Name_Borrower]
GO
/****** Object:  ForeignKey [FK_Borrower_REO_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Borrower_REO]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_REO_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Borrower_REO] CHECK CONSTRAINT [FK_Borrower_REO_Borrower]
GO
/****** Object:  ForeignKey [FK_Liability_Account_Borrower_Liability]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Liability_Account]  WITH CHECK ADD  CONSTRAINT [FK_Liability_Account_Borrower_Liability] FOREIGN KEY([Liability_ID])
REFERENCES [dbo].[Borrower_Liability] ([Liability_ID])
GO
ALTER TABLE [dbo].[Liability_Account] CHECK CONSTRAINT [FK_Liability_Account_Borrower_Liability]
GO
/****** Object:  ForeignKey [FK_Loan_Borrowers_Borrower]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Loan_Borrowers]  WITH CHECK ADD  CONSTRAINT [FK_Loan_Borrowers_Borrower] FOREIGN KEY([Borrower_ID])
REFERENCES [dbo].[Borrower] ([Borrower_ID])
GO
ALTER TABLE [dbo].[Loan_Borrowers] CHECK CONSTRAINT [FK_Loan_Borrowers_Borrower]
GO
/****** Object:  ForeignKey [FK_Loan_Borrowers_Loan]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Loan_Borrowers]  WITH CHECK ADD  CONSTRAINT [FK_Loan_Borrowers_Loan] FOREIGN KEY([Loan_ID])
REFERENCES [dbo].[Loan] ([Loan_ID])
GO
ALTER TABLE [dbo].[Loan_Borrowers] CHECK CONSTRAINT [FK_Loan_Borrowers_Loan]
GO
/****** Object:  ForeignKey [FK_Loan_Credit_Report_Loan]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Loan_Credit_Report]  WITH CHECK ADD  CONSTRAINT [FK_Loan_Credit_Report_Loan] FOREIGN KEY([Loan_ID])
REFERENCES [dbo].[Loan] ([Loan_ID])
GO
ALTER TABLE [dbo].[Loan_Credit_Report] CHECK CONSTRAINT [FK_Loan_Credit_Report_Loan]
GO
/****** Object:  ForeignKey [FK_Loan_Subject_Loan]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Loan_Subject]  WITH CHECK ADD  CONSTRAINT [FK_Loan_Subject_Loan] FOREIGN KEY([Loan_ID])
REFERENCES [dbo].[Loan] ([Loan_ID])
GO
ALTER TABLE [dbo].[Loan_Subject] CHECK CONSTRAINT [FK_Loan_Subject_Loan]
GO
/****** Object:  ForeignKey [FK_Loan_Term_Loan]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Loan_Term]  WITH CHECK ADD  CONSTRAINT [FK_Loan_Term_Loan] FOREIGN KEY([Loan_ID])
REFERENCES [dbo].[Loan] ([Loan_ID])
GO
ALTER TABLE [dbo].[Loan_Term] CHECK CONSTRAINT [FK_Loan_Term_Loan]
GO
/****** Object:  ForeignKey [FK_REO_Address_Borrower_REO]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[REO_Address]  WITH CHECK ADD  CONSTRAINT [FK_REO_Address_Borrower_REO] FOREIGN KEY([REO_ID])
REFERENCES [dbo].[Borrower_REO] ([REO_ID])
GO
ALTER TABLE [dbo].[REO_Address] CHECK CONSTRAINT [FK_REO_Address_Borrower_REO]
GO
/****** Object:  ForeignKey [FK_Subject_Address_Loan_Subject]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Subject_Address]  WITH CHECK ADD  CONSTRAINT [FK_Subject_Address_Loan_Subject] FOREIGN KEY([Subject_ID])
REFERENCES [dbo].[Loan_Subject] ([Subject_ID])
GO
ALTER TABLE [dbo].[Subject_Address] CHECK CONSTRAINT [FK_Subject_Address_Loan_Subject]
GO
/****** Object:  ForeignKey [FK_Term_Amount_Loan_Term]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [dbo].[Term_Amount]  WITH CHECK ADD  CONSTRAINT [FK_Term_Amount_Loan_Term] FOREIGN KEY([Loan_Term_ID])
REFERENCES [dbo].[Loan_Term] ([Loan_Term_ID])
GO
ALTER TABLE [dbo].[Term_Amount] CHECK CONSTRAINT [FK_Term_Amount_Loan_Term]
GO
/****** Object:  ForeignKey [FK_Borrower_Income_Borrower_Employer]    Script Date: 08/04/2009 20:16:34 ******/
ALTER TABLE [Income_Schema].[Borrower_Income]  WITH CHECK ADD  CONSTRAINT [FK_Borrower_Income_Borrower_Employer] FOREIGN KEY([Employer_ID])
REFERENCES [dbo].[Borrower_Employer] ([Employer_ID])
GO
ALTER TABLE [Income_Schema].[Borrower_Income] CHECK CONSTRAINT [FK_Borrower_Income_Borrower_Employer]
GO
