/*
---------------------------------------------------------------------
CREATES THE TABLES FOR THE HOMELENDING DATABASE
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/

USE [HomeLending]
GO
/****** Object:  Schema [Income_Schema]    Script Date: 08/04/2009 20:16:32 ******/
CREATE SCHEMA [Income_Schema] AUTHORIZATION [db_owner]
GO
/****** Object:  Table [dbo].[Term_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Term_Type](
	[Term_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Term_Type_Desc] [varchar](50) NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Loan]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Loan](
	[Loan_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Agency_Case_Number] [varchar](50) NULL,
	[Lender_Case_Number] [varchar](50) NULL,
	[Purpose_Type_ID] [char](5) NULL,
	[Mortgage_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Loan] PRIMARY KEY CLUSTERED 
(
	[Loan_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Liability_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Liability_Type](
	[Liability_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Liability_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Liability_Type] PRIMARY KEY CLUSTERED 
(
	[Liability_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Amort_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Amort_Type](
	[Amort_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Amort_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Amort_Type] PRIMARY KEY CLUSTERED 
(
	[Amort_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Address_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Address_Type](
	[Address_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Address_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Address_Type] PRIMARY KEY CLUSTERED 
(
	[Address_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[REO_Status_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[REO_Status_Type](
	[REO_Status_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[REO_Status_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_REO_Status_Type] PRIMARY KEY CLUSTERED 
(
	[REO_Status_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Race_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Race_Type](
	[Race_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Race_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Race_Type] PRIMARY KEY CLUSTERED 
(
	[Race_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Purpose_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Purpose_Type](
	[Purpose_Type_ID] [char](5) NOT NULL,
	[Purpose_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Purpose_Type] PRIMARY KEY CLUSTERED 
(
	[Purpose_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Property_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Property_Type](
	[Property_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Property_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Property_Type] PRIMARY KEY CLUSTERED 
(
	[Property_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Mortgage_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Mortgage_Type](
	[Mortgage_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Mortgage_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Mortgage_Type] PRIMARY KEY CLUSTERED 
(
	[Mortgage_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Marital_Status_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Marital_Status_Type](
	[Marital_Status_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Marital_Status_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Marital_Status_Type] PRIMARY KEY CLUSTERED 
(
	[Marital_Status_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Job_Status_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Job_Status_Type](
	[Job_Status_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Job_Status_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Job_Status_Type] PRIMARY KEY CLUSTERED 
(
	[Job_Status_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [Income_Schema].[Income_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [Income_Schema].[Income_Type](
	[Income_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Income_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Income_Type] PRIMARY KEY CLUSTERED 
(
	[Income_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Identification_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Identification_Type](
	[Identification_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Identification_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Identification_Type] PRIMARY KEY CLUSTERED 
(
	[Identification_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Gender_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Gender_Type](
	[Gender_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Gender_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Gender_Type] PRIMARY KEY CLUSTERED 
(
	[Gender_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Expense_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Expense_Type](
	[Expense_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Expense_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Expense_Type] PRIMARY KEY CLUSTERED 
(
	[Expense_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Expense_Status_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Expense_Status_Type](
	[Expense_Status_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Expense_Status_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Expense_Status_Type] PRIMARY KEY CLUSTERED 
(
	[Expense_Status_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Ethnicity_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Ethnicity_Type](
	[Ethnicity_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Ethnicity_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Ethnicity_Type] PRIMARY KEY CLUSTERED 
(
	[Ethnicity_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Estate_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Estate_Type](
	[Estate_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Estate_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Estate_Type] PRIMARY KEY CLUSTERED 
(
	[Estate_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Customer_Information]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Customer_Information](
	[Customer_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[First_Name] [varchar](50) NOT NULL,
	[Last_Name] [varchar](50) NOT NULL,
	[Social_Security_Number] [varchar](12) NOT NULL,
	[Address_Street] [varchar](250) NOT NULL,
	[Address_City] [varchar](150) NOT NULL,
	[Address_State] [varchar](2) NOT NULL,
	[Address_Zipcode] [varchar](10) NOT NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Type](
	[Borrower_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Borrower_Type_Desc] [varchar](50) NULL,
 CONSTRAINT [PK_Borrower_Type] PRIMARY KEY CLUSTERED 
(
	[Borrower_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower](
	[Borrower_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Marital_Status_Type_ID] [int] NOT NULL,
	[Borrower_DOB] [datetime] NOT NULL,
 CONSTRAINT [PK_Borrower] PRIMARY KEY CLUSTERED 
(
	[Borrower_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Asset_Type]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Asset_Type](
	[Asset_Type_ID] [int] IDENTITY(1,1) NOT NULL,
	[Asset_Type_Desc] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Asset_Type] PRIMARY KEY CLUSTERED 
(
	[Asset_Type_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Identification]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Identification](
	[Borrower_Identification_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Identification_Type_ID] [int] NOT NULL,
	[Identification_Value] [varchar](250) NULL,
 CONSTRAINT [PK_Borrower_Identification] PRIMARY KEY CLUSTERED 
(
	[Borrower_Identification_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Gvt_Monitor]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Gvt_Monitor](
	[Gvt_Monitor_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Ethnicity_Type_ID] [int] NOT NULL,
	[Race_Type_ID] [int] NOT NULL,
	[Gender_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Borrower_Gvt_Monitor] PRIMARY KEY CLUSTERED 
(
	[Gvt_Monitor_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Expense]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Expense](
	[Expense_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Expense_Amount] [numeric](11, 2) NOT NULL,
	[Expense_Type_ID] [int] NOT NULL,
	[Expense_Note] [varchar](500) NULL,
	[Expense_Status_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Borrower_Expense] PRIMARY KEY CLUSTERED 
(
	[Expense_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Employer]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Employer](
	[Employer_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Employer_Name] [varchar](250) NOT NULL,
	[Self_Employed] [bit] NULL,
	[Job_Years] [int] NULL,
	[Industry_Years] [int] NULL,
	[Job_Position] [varchar](250) NULL,
	[Business_Phone] [varchar](20) NULL,
	[Job_Status_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Borrower_Employer] PRIMARY KEY CLUSTERED 
(
	[Employer_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Dependent]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Dependent](
	[Dependent_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Dependent_Age] [nchar](10) NOT NULL,
 CONSTRAINT [PK_Borrower_Dependent] PRIMARY KEY CLUSTERED 
(
	[Dependent_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Declaration]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Declaration](
	[Declaration_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Declaration_A] [bit] NULL,
	[Declaration_B] [bit] NULL,
	[Declaration_C] [bit] NULL,
	[Declaration_D] [bit] NULL,
	[Declaration_E] [bit] NULL,
	[Declaration_F] [bit] NULL,
	[Declaration_G] [bit] NULL,
	[Declaration_H] [bit] NULL,
	[Declaration_I] [bit] NULL,
	[Declaration_J] [bit] NULL,
	[Declaration_K] [bit] NULL,
	[Declaration_L] [bit] NULL,
	[Declaration_M1] [varchar](2) NULL,
	[Declaration_M2] [varchar](2) NULL,
 CONSTRAINT [PK_Borrower_Declaration] PRIMARY KEY CLUSTERED 
(
	[Declaration_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Asset]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Asset](
	[Asset_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Asset_Amount] [numeric](11, 2) NOT NULL,
	[Asset_Note] [varchar](500) NULL,
	[Asset_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Borrower_Asset] PRIMARY KEY CLUSTERED 
(
	[Asset_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Address]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Address](
	[Borrower_Address_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Borrower_Address_Street] [varchar](250) NOT NULL,
	[Borrower_Address_City] [varchar](150) NOT NULL,
	[Borrower_Address_State] [varchar](2) NOT NULL,
	[Borrower_Address_Zipcode] [varchar](10) NOT NULL,
	[Address_Type_ID] [int] NOT NULL,
	[Rent_Years] [int] NULL,
	[Own_Years] [int] NULL,
 CONSTRAINT [PK_Borrower_Address] PRIMARY KEY CLUSTERED 
(
	[Borrower_Address_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_REO]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_REO](
	[REO_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Property_Type_ID] [int] NOT NULL,
	[REO_Mkt_Value] [numeric](11, 2) NULL,
	[REO_Mtg_Amount] [numeric](11, 2) NULL,
	[REO_Rental_Income] [numeric](11, 2) NULL,
	[REO_Mtg_Payment] [numeric](11, 2) NULL,
	[REO_Ins_Maint_Tax] [numeric](11, 2) NULL,
	[REO_Status_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Borrower_REO] PRIMARY KEY CLUSTERED 
(
	[REO_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Name]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Borrower_Name](
	[Borrower_Name_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Borrower_FName] [varchar](50) NOT NULL,
	[Borrower_MName] [varchar](50) NULL,
	[Borrower_LName] [varchar](50) NOT NULL,
	[Borrower_Suffix] [varchar](10) NULL,
 CONSTRAINT [PK_Borrower_Name] PRIMARY KEY CLUSTERED 
(
	[Borrower_Name_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Borrower_Liability]    Script Date: 08/04/2009 20:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Borrower_Liability](
	[Liability_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Liability_Monthly_Payment] [numeric](11, 2) NULL,
	[Liability_Months_Remaining] [int] NULL,
	[Liability_Unpaid_Balance] [numeric](11, 2) NULL,
	[Liability_Type_ID] [int] NOT NULL,
	[Borrower_Alias] [varchar](250) NULL,
 CONSTRAINT [PK_Borrower_Liability] PRIMARY KEY CLUSTERED 
(
	[Liability_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Loan_Term]    Script Date: 08/04/2009 20:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Loan_Term](
	[Loan_Term_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Loan_ID] [bigint] NOT NULL,
	[Loan_Amount] [numeric](11, 2) NOT NULL,
	[Term] [int] NOT NULL,
	[Amort_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Loan_Terms] PRIMARY KEY CLUSTERED 
(
	[Loan_Term_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Loan_Subject]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Loan_Subject](
	[Subject_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Loan_ID] [bigint] NOT NULL,
	[Unit_Count] [int] NULL,
	[Year_Built] [int] NULL,
	[Original_Cost] [numeric](11, 2) NULL,
	[Existing_Lien_Amount] [numeric](11, 2) NULL,
	[Current_Value] [numeric](11, 2) NULL,
	[Property_Type_ID] [int] NULL,
	[Improvement_Notes] [varchar](500) NULL,
 CONSTRAINT [PK_Loan_Subject] PRIMARY KEY CLUSTERED 
(
	[Subject_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Loan_Credit_Report]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Loan_Credit_Report](
	[Loan_Credit_Report_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Loan_ID] [bigint] NOT NULL,
	[Credit_Report_ID] [bigint] NOT NULL,
 CONSTRAINT [PK_Loan_Credit_Report] PRIMARY KEY CLUSTERED 
(
	[Loan_Credit_Report_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Loan_Borrowers]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Loan_Borrowers](
	[Loan_ID] [bigint] NOT NULL,
	[Borrower_ID] [bigint] NOT NULL,
	[Borrower_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Loan_Borrowers] PRIMARY KEY CLUSTERED 
(
	[Loan_ID] ASC,
	[Borrower_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Term_Amount]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Term_Amount](
	[Term_Amount_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Loan_Term_ID] [bigint] NOT NULL,
	[Term_Type_ID] [int] NOT NULL,
	[Term_Amount] [numeric](11, 2) NOT NULL,
 CONSTRAINT [PK_Term_Amount] PRIMARY KEY CLUSTERED 
(
	[Term_Amount_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Subject_Address]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Subject_Address](
	[Subject_Address_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Subject_ID] [bigint] NOT NULL,
	[Subject_Address_Street] [varchar](250) NOT NULL,
	[Subject_Address_City] [varchar](250) NOT NULL,
	[Subject_Address_State] [varchar](2) NOT NULL,
	[Subject_Address_Zipcode] [varchar](10) NOT NULL,
	[Address_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Subject_Address] PRIMARY KEY CLUSTERED 
(
	[Subject_Address_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[REO_Address]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[REO_Address](
	[REO_Address_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[REO_ID] [bigint] NOT NULL,
	[REO_Address_Street] [varchar](250) NOT NULL,
	[REO_Address_City] [varchar](250) NOT NULL,
	[REO_Address_State] [varchar](2) NOT NULL,
	[REO_Address_Zipcode] [varchar](10) NOT NULL,
 CONSTRAINT [PK_REO_Address] PRIMARY KEY CLUSTERED 
(
	[REO_Address_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Liability_Account]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Liability_Account](
	[Liability_Account_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Liability_ID] [bigint] NOT NULL,
	[Liability_Account_Number] [varchar](100) NOT NULL,
	[Creditor_Name] [varchar](250) NOT NULL,
	[Creditor_Address_Street] [varchar](250) NOT NULL,
	[Creditor_Address_City] [varchar](150) NOT NULL,
	[Creditor_Address_State] [varchar](2) NOT NULL,
	[Creditor_Address_Zipcode] [varchar](10) NOT NULL,
 CONSTRAINT [PK_Liability_Account] PRIMARY KEY CLUSTERED 
(
	[Liability_Account_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [Income_Schema].[Borrower_Income]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [Income_Schema].[Borrower_Income](
	[Income_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Employer_ID] [bigint] NOT NULL,
	[Income_Amount] [numeric](11, 2) NOT NULL,
	[Income_Type_ID] [int] NOT NULL,
 CONSTRAINT [PK_Borrower_Income] PRIMARY KEY CLUSTERED 
(
	[Income_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Asset_Account]    Script Date: 08/04/2009 20:16:34 ******/
CREATE TABLE [dbo].[Asset_Account](
	[Asset_Account_ID] [bigint] IDENTITY(100,1) NOT NULL,
	[Asset_ID] [bigint] NOT NULL,
	[Asset_Account_Number] [varchar](100) NOT NULL,
	[Institution_Name] [varchar](250) NOT NULL,
	[Institution_Address_Street] [varchar](250) NOT NULL,
	[Institution_Address_City] [varchar](150) NOT NULL,
	[Institution_Address_State] [varchar](2) NOT NULL,
	[Institution_Address_Zipcode] [varchar](10) NOT NULL,
 CONSTRAINT [PK_Asset_Account] PRIMARY KEY CLUSTERED 
(
	[Asset_Account_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

