/*
---------------------------------------------------------------------
CREATES KEYS AND CERTIFICATES
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/

/* Listing 4-1: Querying the symmetric_keys catalog view for the service master key */
USE master;
GO

SELECT * FROM SYS.SYMMETRIC_KEYS;
GO

/* Listing 4-2: creating a database master key in the HomeLending database */
Use HomeLending;
GO

CREATE MASTER KEY ENCRYPTION BY PASSWORD = 'MyStr0ngP@ssw0rd2009';
GO

/* Listing 4-3: Creating an asymmetric key in the HomeLending database */
Use HomeLending;
GO

CREATE ASYMMETRIC KEY MyAsymKey 
    WITH ALGORITHM = RSA_2048 
    ENCRYPTION BY PASSWORD = 'MyStr0ngP@ssw0rd2009'; 
GO

/* Listing 4-4: Creating a symmetric key in the HomeLending database */
Use HomeLending;
GO

CREATE SYMMETRIC KEY MySymKey
   WITH ALGORITHM = AES_256
   ENCRYPTION BY PASSWORD = 'MyStr0ngP@ssw0rd2009';
GO

/* Listing 4-5: Creating a certificate in the HomeLending database */
Use HomeLending;
GO

CREATE CERTIFICATE MySelfSignedCert 
   ENCRYPTION BY PASSWORD = 'MyStr0ngP@ssw0rd2009'
   WITH SUBJECT = 'Self Signed Certificate', 
   EXPIRY_DATE = '05/31/2010';
GO


