/*
---------------------------------------------------------------------
CREATES EXTENDED PROPERTIES
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/

/* Listing 2-9: Assigning the medium sensitivity data classification to all columns */
/*(built from the query that is represented in Listing 2-9)						    */
USE HomeLending;
GO

exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Type',@level2type='COLUMN',@level2name='Liability_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Type',@level2type='COLUMN',@level2name='Liability_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Amort_Type',@level2type='COLUMN',@level2name='Amort_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Amort_Type',@level2type='COLUMN',@level2name='Amort_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Address_Type',@level2type='COLUMN',@level2name='Address_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Address_Type',@level2type='COLUMN',@level2name='Address_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='REO_Status_Type',@level2type='COLUMN',@level2name='REO_Status_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='REO_Status_Type',@level2type='COLUMN',@level2name='REO_Status_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Race_Type',@level2type='COLUMN',@level2name='Race_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Race_Type',@level2type='COLUMN',@level2name='Race_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Purpose_Type',@level2type='COLUMN',@level2name='Purpose_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Purpose_Type',@level2type='COLUMN',@level2name='Purpose_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Property_Type',@level2type='COLUMN',@level2name='Property_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Property_Type',@level2type='COLUMN',@level2name='Property_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Mortgage_Type',@level2type='COLUMN',@level2name='Mortgage_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Mortgage_Type',@level2type='COLUMN',@level2name='Mortgage_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Marital_Status_Type',@level2type='COLUMN',@level2name='Marital_Status_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Marital_Status_Type',@level2type='COLUMN',@level2name='Marital_Status_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Job_Status_Type',@level2type='COLUMN',@level2name='Job_Status_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Job_Status_Type',@level2type='COLUMN',@level2name='Job_Status_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='Income_Schema',@level1type='TABLE',@level1name='Income_Type',@level2type='COLUMN',@level2name='Income_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='Income_Schema',@level1type='TABLE',@level1name='Income_Type',@level2type='COLUMN',@level2name='Income_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Identification_Type',@level2type='COLUMN',@level2name='Identification_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Identification_Type',@level2type='COLUMN',@level2name='Identification_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Gender_Type',@level2type='COLUMN',@level2name='Gender_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Gender_Type',@level2type='COLUMN',@level2name='Gender_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Expense_Type',@level2type='COLUMN',@level2name='Expense_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Expense_Type',@level2type='COLUMN',@level2name='Expense_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Expense_Status_Type',@level2type='COLUMN',@level2name='Expense_Status_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Expense_Status_Type',@level2type='COLUMN',@level2name='Expense_Status_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Ethnicity_Type',@level2type='COLUMN',@level2name='Ethnicity_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Ethnicity_Type',@level2type='COLUMN',@level2name='Ethnicity_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Estate_Type',@level2type='COLUMN',@level2name='Estate_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Estate_Type',@level2type='COLUMN',@level2name='Estate_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Customer_Information',@level2type='COLUMN',@level2name='Customer_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Customer_Information',@level2type='COLUMN',@level2name='First_Name';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Customer_Information',@level2type='COLUMN',@level2name='Last_Name';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Customer_Information',@level2type='COLUMN',@level2name='Social_Security_Number';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Customer_Information',@level2type='COLUMN',@level2name='Address_Street';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Customer_Information',@level2type='COLUMN',@level2name='Address_City';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Customer_Information',@level2type='COLUMN',@level2name='Address_State';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Customer_Information',@level2type='COLUMN',@level2name='Address_Zipcode';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Type',@level2type='COLUMN',@level2name='Borrower_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Type',@level2type='COLUMN',@level2name='Borrower_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower',@level2type='COLUMN',@level2name='Marital_Status_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower',@level2type='COLUMN',@level2name='Borrower_DOB';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Type',@level2type='COLUMN',@level2name='Asset_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Type',@level2type='COLUMN',@level2name='Asset_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Identification',@level2type='COLUMN',@level2name='Borrower_Identification_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Identification',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Identification',@level2type='COLUMN',@level2name='Identification_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Identification',@level2type='COLUMN',@level2name='Identification_Value';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Gvt_Monitor',@level2type='COLUMN',@level2name='Gvt_Monitor_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Gvt_Monitor',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Gvt_Monitor',@level2type='COLUMN',@level2name='Ethnicity_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Gvt_Monitor',@level2type='COLUMN',@level2name='Race_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Gvt_Monitor',@level2type='COLUMN',@level2name='Gender_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Expense',@level2type='COLUMN',@level2name='Expense_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Expense',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Expense',@level2type='COLUMN',@level2name='Expense_Amount';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Expense',@level2type='COLUMN',@level2name='Expense_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Expense',@level2type='COLUMN',@level2name='Expense_Note';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Expense',@level2type='COLUMN',@level2name='Expense_Status_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Employer_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Employer_Name';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Self_Employed';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Job_Years';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Industry_Years';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Job_Position';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Business_Phone';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Employer',@level2type='COLUMN',@level2name='Job_Status_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Dependent',@level2type='COLUMN',@level2name='Dependent_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Dependent',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Dependent',@level2type='COLUMN',@level2name='Dependent_Age';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_A';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_B';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_C';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_D';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_E';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_F';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_G';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_H';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_I';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_J';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_K';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_L';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_M1';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Declaration',@level2type='COLUMN',@level2name='Declaration_M2';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Asset',@level2type='COLUMN',@level2name='Asset_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Asset',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Asset',@level2type='COLUMN',@level2name='Asset_Amount';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Asset',@level2type='COLUMN',@level2name='Asset_Note';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Asset',@level2type='COLUMN',@level2name='Asset_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Borrower_Address_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Borrower_Address_Street';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Borrower_Address_City';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Borrower_Address_State';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Borrower_Address_Zipcode';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Address_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Rent_Years';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Address',@level2type='COLUMN',@level2name='Own_Years';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='REO_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='Property_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='REO_Mkt_Value';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='REO_Mtg_Amount';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='REO_Rental_Income';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='REO_Mtg_Payment';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='REO_Ins_Maint_Tax';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_REO',@level2type='COLUMN',@level2name='REO_Status_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Name',@level2type='COLUMN',@level2name='Borrower_Name_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Name',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Name',@level2type='COLUMN',@level2name='Borrower_FName';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Name',@level2type='COLUMN',@level2name='Borrower_MName';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Name',@level2type='COLUMN',@level2name='Borrower_LName';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Name',@level2type='COLUMN',@level2name='Borrower_Suffix';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Liability',@level2type='COLUMN',@level2name='Liability_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Liability',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Liability',@level2type='COLUMN',@level2name='Liability_Monthly_Payment';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Liability',@level2type='COLUMN',@level2name='Liability_Months_Remaining';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Liability',@level2type='COLUMN',@level2name='Liability_Unpaid_Balance';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Liability',@level2type='COLUMN',@level2name='Liability_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Borrower_Liability',@level2type='COLUMN',@level2name='Borrower_Alias';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Term',@level2type='COLUMN',@level2name='Loan_Term_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Term',@level2type='COLUMN',@level2name='Loan_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Term',@level2type='COLUMN',@level2name='Loan_Amount';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Term',@level2type='COLUMN',@level2name='Term';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Term',@level2type='COLUMN',@level2name='Amort_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Subject_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Loan_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Unit_Count';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Year_Built';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Original_Cost';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Existing_Lien_Amount';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Current_Value';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Property_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Subject',@level2type='COLUMN',@level2name='Improvement_Notes';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Credit_Report',@level2type='COLUMN',@level2name='Loan_Credit_Report_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Credit_Report',@level2type='COLUMN',@level2name='Loan_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Credit_Report',@level2type='COLUMN',@level2name='Credit_Report_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Borrowers',@level2type='COLUMN',@level2name='Loan_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Borrowers',@level2type='COLUMN',@level2name='Borrower_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan_Borrowers',@level2type='COLUMN',@level2name='Borrower_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Term_Amount',@level2type='COLUMN',@level2name='Term_Amount_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Term_Amount',@level2type='COLUMN',@level2name='Loan_Term_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Term_Amount',@level2type='COLUMN',@level2name='Term_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Term_Amount',@level2type='COLUMN',@level2name='Term_Amount';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Subject_Address',@level2type='COLUMN',@level2name='Subject_Address_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Subject_Address',@level2type='COLUMN',@level2name='Subject_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Subject_Address',@level2type='COLUMN',@level2name='Subject_Address_Street';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Subject_Address',@level2type='COLUMN',@level2name='Subject_Address_City';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Subject_Address',@level2type='COLUMN',@level2name='Subject_Address_State';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Subject_Address',@level2type='COLUMN',@level2name='Subject_Address_Zipcode';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Subject_Address',@level2type='COLUMN',@level2name='Address_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='REO_Address',@level2type='COLUMN',@level2name='REO_Address_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='REO_Address',@level2type='COLUMN',@level2name='REO_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='REO_Address',@level2type='COLUMN',@level2name='REO_Address_Street';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='REO_Address',@level2type='COLUMN',@level2name='REO_Address_City';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='REO_Address',@level2type='COLUMN',@level2name='REO_Address_State';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='REO_Address',@level2type='COLUMN',@level2name='REO_Address_Zipcode';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Account',@level2type='COLUMN',@level2name='Liability_Account_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Account',@level2type='COLUMN',@level2name='Liability_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Account',@level2type='COLUMN',@level2name='Liability_Account_Number';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Account',@level2type='COLUMN',@level2name='Creditor_Name';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Account',@level2type='COLUMN',@level2name='Creditor_Address_Street';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Account',@level2type='COLUMN',@level2name='Creditor_Address_City';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Account',@level2type='COLUMN',@level2name='Creditor_Address_State';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Liability_Account',@level2type='COLUMN',@level2name='Creditor_Address_Zipcode';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='Income_Schema',@level1type='TABLE',@level1name='Borrower_Income',@level2type='COLUMN',@level2name='Income_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='Income_Schema',@level1type='TABLE',@level1name='Borrower_Income',@level2type='COLUMN',@level2name='Employer_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='Income_Schema',@level1type='TABLE',@level1name='Borrower_Income',@level2type='COLUMN',@level2name='Income_Amount';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='Income_Schema',@level1type='TABLE',@level1name='Borrower_Income',@level2type='COLUMN',@level2name='Income_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Account',@level2type='COLUMN',@level2name='Asset_Account_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Account',@level2type='COLUMN',@level2name='Asset_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Account',@level2type='COLUMN',@level2name='Asset_Account_Number';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Account',@level2type='COLUMN',@level2name='Institution_Name';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Account',@level2type='COLUMN',@level2name='Institution_Address_Street';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Account',@level2type='COLUMN',@level2name='Institution_Address_City';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Account',@level2type='COLUMN',@level2name='Institution_Address_State';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Asset_Account',@level2type='COLUMN',@level2name='Institution_Address_Zipcode';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Term_Type',@level2type='COLUMN',@level2name='Term_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Term_Type',@level2type='COLUMN',@level2name='Term_Type_Desc';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan',@level2type='COLUMN',@level2name='Loan_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan',@level2type='COLUMN',@level2name='Agency_Case_Number';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan',@level2type='COLUMN',@level2name='Lender_Case_Number';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan',@level2type='COLUMN',@level2name='Purpose_Type_ID';
exec sp_addextendedproperty @name='Sensitivity_Class',@value='Medium',@level0type='SCHEMA',@level0name='dbo',@level1type='TABLE',@level1name='Loan',@level2type='COLUMN',@level2name='Mortgage_Type_ID';
GO

/* Listing 2-10: Raising a sensitivity level using sp_updateextendedproperty */
USE HomeLending;
GO

EXEC sp_updateextendedproperty 
   @name='Sensitivity_Class',
   @value='High',
   @level0type='SCHEMA',
   @level0name='dbo',
   @level1type='TABLE',
   @level1name='Borrower_Identification',
   @level2type='COLUMN',
   @level2name='Identification_Value';
GO

/* Listing 2-7: Retrieving column information from the catalog view */
USE HomeLending;
GO

SELECT 
   TABLE_SCHEMA,
   TABLE_NAME,
   COLUMN_NAME,
   DATA_TYPE
FROM 
   INFORMATION_SCHEMA.COLUMNS;
GO

/* Listing 2-11: Querying extended properties using the fn_listextendedpropery system metadata function */
USE HomeLending;
GO

SELECT  
    objname as Column_Name,
    name as Extended_Property,
    value as Value
FROM 
    fn_listextendedproperty ('Sensitivity_Class', 
                             'schema', 'dbo',   
                             'table', 'Borrower_Identification',  
                             'column', default);
GO

/* Listing 2-12: Querying extended properties using the sys.extended_properties catalog view */
SELECT 
      class as Object_Class_ID,
      class_desc as Object_Class_Description,
      major_id as Object_ID,
      minor_id as Column_Parameter_Index_ID,
      name as Extended_Property_Name,
      value as Value
FROM 
      sys.extended_properties;
GO




