/*
---------------------------------------------------------------------
TRANSPARENT DATA ENCRYPTION - RESTORE (SS2008 Only)
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/

/* Listing 6-10: Attempting to restore the HomeLending database */
USE master;
GO

RESTORE DATABASE HomeLending
    FROM DISK = 'D:\HomeLending\Backup\HomeLending_PostTDE.bak' 
    WITH FILE = 1,  
    NOUNLOAD,  
    REPLACE,  
    STATS = 10
GO

/* Listing 6-11: Verifying TDE using  EXECUTE AS queries */
USE HomeLending;
GO

-- execute as a user who is a member of Sensitive_high role
EXECUTE AS USER = 'WOLFBA'; 
GO
SELECT * FROM dbo.Borrower;
GO
REVERT;
GO

-- execute as a user who is a member of Sensitive_medium role
EXECUTE AS USER = 'KELLEYWB'; 
GO
SELECT * FROM dbo.Borrower;
GO
REVERT;
GO

-- execute as a user who is a member of Sensitive_low role
EXECUTE AS USER = 'JONESBF'; 
GO
SELECT * FROM dbo.Borrower;
GO
REVERT;
GO


/*
---------------------------------------------------------------------
TRANSPARENT DATA ENCRYPTION - REVERSAL THROUGH RESTORE (SS2008 Only)
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/
/* Listing 6-12: Reversing TDE when no transactions have occurred */
USE master;
GO

RESTORE DATABASE HomeLending
    FROM DISK = 'D:\HomeLending\Backup\HomeLending.bak' 
    WITH FILE = 1,  
    NOUNLOAD,  
    REPLACE,  
    STATS = 10;
GO

DROP CERTIFICATE MasterCert;
GO

DROP MASTER KEY;
GO

-- Restart Instance Though SQL Server Management Studio:
-- Right-Click instance and click on "Restart" option.

/*
---------------------------------------------------------------------
TRANSPARENT DATA ENCRYPTION - REVERSAL THROUGH REMOVAL (SS2008 Only)
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/

/* Listing 6-13: Reversing TDE after transactions have occurred */
USE HomeLending;
GO

ALTER DATABASE HomeLending
    SET ENCRYPTION OFF;
GO

-- Before proceeding, wait until the decryption process is complete.
-- Use the sys.dm_database_encryption_keys dmv to determine this.

DROP DATABASE ENCRYPTION KEY;
GO

-- Restart Instance Though SQL Server Management Studio:
-- Right-Click instance and click on "Restart" option.





















